Last Comment Bug 903402 - Permanent Orange: TEST-UNEXPECTED-FAIL | test_index_junk_imap_offline.js | uncaught exception: 2147500037
: Permanent Orange: TEST-UNEXPECTED-FAIL | test_index_junk_imap_offline.js | un...
Status: RESOLVED FIXED
: intermittent-failure
Product: MailNews Core
Classification: Components
Component: Testing Infrastructure (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 26.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks: 896738
  Show dependency treegraph
 
Reported: 2013-08-09 06:21 PDT by Mark Banner (:standard8)
Modified: 2013-08-12 09:50 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Workaround (1.03 KB, patch)
2013-08-09 06:28 PDT, Mark Banner (:standard8)
Pidgeot18: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description Mark Banner (:standard8) 2013-08-09 06:21:32 PDT
Seen since we've had the major orange:

https://tbpl.mozilla.org/php/getParsedLog.php?id=26347955&tree=Thunderbird-Trunk#error0

TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
JS frame :: ../../../../resources/logHelper.js :: _errorConsoleTunnel.observe :: line 63
native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
Comment 1 Mark Banner (:standard8) 2013-08-09 06:28:42 PDT
Created attachment 788118 [details] [diff] [review]
Workaround

I've traced this through via the debugger. This is roughly what is happening:

- The test sets up the message folders, and configures for offline storage
- Attempting to get one of the messages (in test_never_indexes_a_message_marked_as_junk), causes the IMAP service to initialise the offline cache
- It then looks in the offline storage, it is not there, so it looks in the "browser" cache
- The "browser" cache gets initialised, and as part of this it looks for "cachePDir" from the nsIDirectoryServiceProvider.
- The implemented directory service providers throw as they should do.
- The javascript console records the error as uncaught, even though c++ handles the result.

So I think this is really some sort of xpconnect issue. Unfortunately I've not been able to come up with a simple test case just yet.

I'm therefore proposing that we work around it by setting two prefs that will mean we avoid calling the directory service with "cachePDir". (See nsCacheProfilePrefObserver::ReadPrefs for more info).

When I get time, I'll then see if I can come up with a test case later on and get a core bug filed.
Comment 2 Treeherder Robot 2013-08-12 03:10:44 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26417346&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test xpcshell on 2013-08-11 15:33:58
revision: ed0046a279b4
slave: talos-r4-snow-044

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
Comment 3 Treeherder Robot 2013-08-12 03:34:48 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26426747&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test xpcshell on 2013-08-12 02:25:58
revision: 09e5f07e19d2
slave: talos-r4-lion-082

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
Comment 4 Treeherder Robot 2013-08-12 06:28:21 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26431832&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test xpcshell on 2013-08-12 05:17:00
revision: b4a5fbf36e0d
slave: talos-r4-snow-034

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
Comment 5 Mark Banner (:standard8) 2013-08-12 06:50:44 PDT
https://hg.mozilla.org/comm-central/rev/1526a145fd9e
Comment 6 Treeherder Robot 2013-08-12 07:00:54 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26433156&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test xpcshell on 2013-08-12 06:29:38
revision: b4a5fbf36e0d
slave: talos-r4-snow-035

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
Comment 7 Treeherder Robot 2013-08-12 07:03:15 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26433207&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test xpcshell on 2013-08-12 06:31:00
revision: b4a5fbf36e0d
slave: talos-r4-snow-077

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
Comment 8 Treeherder Robot 2013-08-12 07:11:17 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26433578&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test xpcshell on 2013-08-12 06:38:38
revision: b4a5fbf36e0d
slave: talos-r4-lion-084

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
Comment 9 Treeherder Robot 2013-08-12 07:36:33 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26434379&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test xpcshell on 2013-08-12 06:49:18
revision: 7065892e5d5c
slave: talos-r4-snow-002

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
Comment 10 Mark Banner (:standard8) 2013-08-12 08:59:13 PDT
Comment on attachment 788118 [details] [diff] [review]
Workaround

[Triage Comment]
Passes on trunk, so taking to aurora & beta
Comment 12 Treeherder Robot 2013-08-12 09:50:41 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26435804&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test xpcshell on 2013-08-12 07:43:20
revision: 7065892e5d5c
slave: talos-r4-snow-043

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
Comment 13 Treeherder Robot 2013-08-12 09:50:41 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=26435750&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test xpcshell on 2013-08-12 07:42:38
revision: 7065892e5d5c
slave: talos-r4-lion-039

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_junk_imap_offline.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame uncaught exception: 2147500037] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/db/gloda/test/unit/test_index_messages_imap_online_to_offline.js | test failed (with xpcshell return code: 1), see following log:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:
TEST-UNEXPECTED-FAIL | ../../../../resources/logHelper.js | Error console says [stackFrame Component returned failure code: 0x80550007 [nsIMsgFolder.getStringProperty]] - See following stack:

Note You need to log in before you can comment on or make changes to this bug.